summaryrefslogtreecommitdiffstats
path: root/packaging/bundle-ebpf.sh
diff options
context:
space:
mode:
authorAustin S. Hemmelgarn <austin@netdata.cloud>2020-07-30 07:09:59 -0400
committerGitHub <noreply@github.com>2020-07-30 07:09:59 -0400
commit8a105bad8188b7581c92811c069676d3110f130b (patch)
tree0c6358e5c8c5f7b25436760b298b0de3107f4a1f /packaging/bundle-ebpf.sh
parentfdbc559ff9c317ce6cf42a72ea466a2b47211971 (diff)
Added eBPF collector support to DEB and RPM packages. (#9628)
* Add DEB/RPM package build tests to Travis. * Add working support for bundling eBPF in binary packages. * Show stdout and stderr from commands run in LXC. * Add proper bundling code for libbpf. * Use AC_CHECK_FILE for libbpf.a external dep. This way it gets properly logged in both configure output and the configure log.
Diffstat (limited to 'packaging/bundle-ebpf.sh')
-rwxr-xr-xpackaging/bundle-ebpf.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/packaging/bundle-ebpf.sh b/packaging/bundle-ebpf.sh
new file mode 100755
index 0000000000..ecc365ea44
--- /dev/null
+++ b/packaging/bundle-ebpf.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+SRCDIR="${1}"
+PLUGINDIR="${2}"
+
+EBPF_VERSION="$(cat "${SRCDIR}/packaging/ebpf.version")"
+EBPF_TARBALL="netdata-kernel-collector-glibc-${EBPF_VERSION}.tar.xz"
+
+mkdir -p "${SRCDIR}/tmp/ebpf"
+curl -sSL --connect-timeout 10 --retry 3 "https://github.com/netdata/kernel-collector/releases/download/${EBPF_VERSION}/${EBPF_TARBALL}" > "${EBPF_TARBALL}" || exit 1
+grep "${EBPF_TARBALL}" "${SRCDIR}/packaging/ebpf.checksums" | sha256sum -c - || exit 1
+tar -xaf "${EBPF_TARBALL}" -C "${SRCDIR}/tmp/ebpf" || exit 1
+# shellcheck disable=SC2046
+cp -a $(find "${SRCDIR}/tmp/ebpf" -mindepth 1 -maxdepth 1) "${PLUGINDIR}"